aboutsummaryrefslogtreecommitdiff
path: root/completion/notmuch-completion.bash
diff options
context:
space:
mode:
authorJani Nikula <jani@nikula.org>2017-02-25 11:25:39 +0200
committerDavid Bremner <david@tethera.net>2017-03-01 19:33:33 -0400
commit97f3d55ad9d7b897b22ea14ddf6a5dbd79277929 (patch)
treebfd8945fd37a1e80b79e80e429ec85845d1aa93e /completion/notmuch-completion.bash
parent508b5c20fa38b17fa527af075857061f4ed81e2a (diff)
completion: complete notmuch emacs-mua
With subcommand handling for external commands we can easily complete 'notmuch emacs-mua' using the existing completion system.
Diffstat (limited to 'completion/notmuch-completion.bash')
-rw-r--r--completion/notmuch-completion.bash34
1 files changed, 33 insertions, 1 deletions
diff --git a/completion/notmuch-completion.bash b/completion/notmuch-completion.bash
index 7cad047f..e4e4b36b 100644
--- a/completion/notmuch-completion.bash
+++ b/completion/notmuch-completion.bash
@@ -240,6 +240,38 @@ _notmuch_dump()
esac
}
+_notmuch_emacs_mua()
+{
+ local cur prev words cword split
+ _init_completion -s || return
+
+ $split &&
+ case "${prev}" in
+ --to|--cc|--bcc)
+ COMPREPLY=( $(compgen -W "`_notmuch_email to:${cur}`" -- ${cur}) )
+ return
+ ;;
+ --body)
+ _filedir
+ return
+ ;;
+ esac
+
+ ! $split &&
+ case "${cur}" in
+ -*)
+ local options="--subject= --to= --cc= --bcc= --body= --no-window-system --client --auto-daemon --create-frame --print --help --hello"
+
+ compopt -o nospace
+ COMPREPLY=( $(compgen -W "$options" -- ${cur}) )
+ ;;
+ *)
+ COMPREPLY=( $(compgen -W "`_notmuch_email to:${cur}`" -- ${cur}) )
+ return
+ ;;
+ esac
+}
+
_notmuch_insert()
{
local cur prev words cword split
@@ -500,7 +532,7 @@ _notmuch_tag()
_notmuch()
{
- local _notmuch_commands="compact config count dump help insert new reply restore search address setup show tag"
+ local _notmuch_commands="compact config count dump help insert new reply restore search address setup show tag emacs-mua"
local arg cur prev words cword split
# require bash-completion with _init_completion